<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Metize
 * @Version    : 1.0
 * @Author     : Metize
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

// enqueue css
function metize_common_custom_css(){
	wp_enqueue_style( 'metize-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = metize_opt( 'metize_css_editor' );
    $preloader_display  =  metize_opt('metize_display_preloader');
	if( $CustomCssOpt ){
		$CustomCssOpt = $CustomCssOpt;
	}else{
		$CustomCssOpt = '';
	}

    $customcss = "";
    
    if( get_header_image() ){
        $metize_header_bg =  get_header_image();
    }else{
        if( metize_meta( 'page_breadcrumb_settings' ) == 'page' && is_page() ){
            if( ! empty( metize_meta( 'breadcumb_image' ) ) ){
                $metize_header_bg = metize_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $metize_header_bg ) ){
        $customcss .= ".breadcrumb-area{
            background:url('{$metize_header_bg}')!important;
            background-position: center center !important;
            background-size: cover !important;
        }";
    }
    if( !empty( $preloader_display ) ){
        $metize_pre_img = metize_opt( 'metize_preloader_img','url' );
        if( ! empty( metize_opt( 'metize_preloader_img','url' ) ) ){
            $customcss .= "
            .se-pre-con {
                position: fixed;
                left: 0px;
                top: 0px;
                width: 100%;
                height: 100%;
                z-index: 999999;
                background: url('{$metize_pre_img}') center no-repeat #fff;
                text-align: center;
            }";
        }
    }
    
	// theme color
    $metizethemecolor = metize_opt('metize_theme_color');
	$metizethemecolor2 = metize_opt('metize_theme_color2');


    


    


	if( !empty( $metizethemecolor ) ) {
        list($r, $g, $b) = sscanf( $metizethemecolor, "#%02x%02x%02x");
        $metize_real_color = $r.','.$g.','.$b;


		$customcss .= ":root {
		  --color-primary: rgb({$metize_real_color});
		}";
	}

    // theme color for home1 Gradient color
    if( !empty( $metizethemecolor && $metizethemecolor2) ) {

        list($r2, $g2, $b2) = sscanf( $metizethemecolor2, "#%02x%02x%02x");
        $metize_real_color2 = $r2.','.$g2.','.$b2;


        $customcss .= ":root {
          --color-primary: rgb({$metize_real_color});
          --color-optional-secondary: rgb({$metize_real_color2});
        }";
    }

    // theme body font
    $metizethemebodyfont = metize_opt('metize_theme_body_typography', 'font-family');

    if( !empty( $metizethemebodyfont ) ) {
        $customcss .= ":root {
          --font-default: $metizethemebodyfont ;
        }";
    }

    // theme title font
    $metizethemetitlefont = metize_opt('metize_theme_title_typography', 'font-family');

    if( !empty( $metizethemetitlefont ) ) {
        $customcss .= ":root {
          --font-heading: $metizethemetitlefont ;
        }";
    }

	if( !empty( $CustomCssOpt ) ){
		$customcss .= $CustomCssOpt;
	}

    wp_add_inline_style( 'metize-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'metize_common_custom_css', 100 );