<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * WCU Box Widget .
 *
 */
class Metize_About_Us extends Widget_Base {

	public function get_name() {
		return 'metizeaboutus';
	}

	public function get_title() {
		return __( 'About Us', 'metize' );
	}


	public function get_icon() {
		return 'vt-icon';
    }


	public function get_categories() {
		return [ 'metize' ];
	}


	protected function register_controls() {

		$this->start_controls_section(
			'services_section',
			[
				'label' 	=> __( 'About Us', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );
        $this->add_control(
			'layout',
			[
				'label' 		=> __( 'Style', 'metize' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options'		=> [
					'1'  			=> __( 'Style One', 'metize' ),
					'2'  			=> __( 'Style Two', 'metize' ),
				],
			]
		);

		$this->add_control(
			'title',
			[
				'label'     	=> __( 'Title', 'metize' ),
                'type'      	=> Controls_Manager::TEXTAREA,
                'rows' 			=> 2,
                'default' 		=>  __( 'This is title area', 'metize'),

			]
        );
        $this->add_control(
			'subtitle',
			[
				'label'     	=> __( 'Subtitle', 'metize' ),
                'type'      	=> Controls_Manager::TEXTAREA,
                'rows' 			=> 2,
                'default' 		=>  __( 'This is subtitle area', 'metize'),
                'condition'		=> [ 'layout' => ['1','2'] ],

			]
        );
        $this->add_control(
			'desc2',
			[
				'label'     	=> __( 'Description', 'metize' ),
                'type'      	=> Controls_Manager::WYSIWYG,
                'default' 		=>  __( 'This is description area', 'metize'),

			]
        );

        $this->add_control(
			'image',
			[
				'label' 		=> __( 'Image', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
        
		$this->add_control(
			'experience',
			[
				'label'     => __( 'Years of experience', 'metize' ),
                'type'      => Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'condition'		=> [ 'layout' => ['1'] ],
			]
        );

        $this->add_control(
			'name',
			[
				'label'     	=> __( 'Authore Name', 'metize' ),
                'type'      	=> Controls_Manager::TEXTAREA,
                'rows' 			=> 2,
                'default' 		=>  __( 'This is title area', 'metize'),
                'condition'		=> [ 'layout' => ['2'] ],

			]
        );
        $this->add_control(
			'desig',
			[
				'label'     	=> __( 'Designation', 'metize' ),
                'type'      	=> Controls_Manager::TEXTAREA,
                'rows' 			=> 2,
                'default' 		=>  __( 'This is title area', 'metize'),
                'condition'		=> [ 'layout' => ['2'] ],

			]
        );
        $this->add_control(
			'signature',
			[
				'label' 		=> __( 'Signature Image', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'layout' => ['2'] ],
			]
		);
		$this->add_control(
			'authore',
			[
				'label' 		=> __( 'Author Image', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'layout' => ['2'] ],
			]
		);
        
        $this->end_controls_section();
	}

	protected function render() {

        $settings = $this->get_settings_for_display();

        if( $settings['layout'] == '1' ){

        	echo '<div class="about-style-one-area default-padding">';
		        echo '<div class="container">';
		            echo '<div class="row align-center">';
		            	if( ! empty( $settings['image']['url'] ) ){
			                echo '<div class="col-lg-6">';
			                    echo '<div class="about-style-one-thumb">';
			                        echo '<img class="animate" data-animate="fadeInUp" src="'.esc_url( $settings['image']['url'] ).'" alt="Image Not Found">';
			                        echo '<div class="experience animate" data-animate="fadeInUp" data-delay="300ms">';
			                        	if( ! empty( $settings['experience'] ) ){
				                            echo '<h2>'.wp_kses_post($settings['experience']  ).'</h2>';
				                        }
			                        echo '</div>';
			                    echo '</div>';
			                echo '</div>';
			            }
		                echo '<div class="col-lg-6">';
		                    echo '<div class="about-style-one-info animate" data-animate="fadeInDown" data-delay="100ms">';
		                        if( ! empty( $settings['title'] ) ){
			                        echo '<h4 class="sub-title">'.esc_html( $settings['title'] ).'</h4>';
			                    }
		                        if( ! empty( $settings['subtitle'] ) ){
			                        echo '<h2 class="title">'.wp_kses_post( $settings['subtitle'] ).'</h2>';
			                    }
		                        if( ! empty( $settings['desc2'] ) ){
			                        echo '<div class="content">'.wp_kses_post( $settings['desc2'] ).'</div>';
			                    }
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
	    }else{
	    	echo '<div class="about-style-two-area default-padding-bottom">';
		        echo '<div class="container">';
		            echo '<div class="about-style-two-items bg-dark text-light">';
		            	if( ! empty( $settings['image']['url'] ) ){
			                echo '<div class="about-style-two-thumb" style="background-image: url('.esc_url( $settings['image']['url'] ).');"></div>';
			            }
		                echo '<div class="row">';
		                    echo '<div class="col-xl-6 offset-xl-6">';
		                        echo '<div class="about-two-item">';
		                        	if( ! empty( $settings['title'] ) ){
			                            echo '<h2>'.esc_html( $settings['title'] ).'</h2>';
			                        }
			                        if( ! empty( $settings['desc2'] ) ){
			                        	echo wp_kses_post( $settings['desc2'] );
			                        }
		                            echo '<div class="author-info">';
		                            	if( ! empty( $settings['authore']['url'] ) ){
			                                echo '<div class="thumb">';
			                                    echo '<img src="'.esc_url( $settings['authore']['url'] ).'" alt="Image Not Found">';
			                                echo '</div>';
			                            }
		                                echo '<div class="info">';
		                                    if( ! empty( $settings['name'] ) ){
			                                    echo '<h4>'.esc_html( $settings['name'] ).'</h4>';
			                                }
			                                if( ! empty( $settings['desig'] ) ){
			                                    echo '<span>'.esc_html( $settings['desig'] ).'</span>';
			                                }
		                                echo '</div>';
		                                if( ! empty( $settings['signature']['url'] ) ){
			                                echo '<img src="'.esc_url( $settings['signature']['url'] ).'" alt="Image not Found">';
			                            }
		                            echo '</div>';
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
	    }
	}
}