<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Banner Widget .
 *
 */
class Metize_Banner extends Widget_Base {

	public function get_name() {
		return 'metizebanner';
	}

	public function get_title() {
		return __( 'Banner', 'metize' );
	}

	public function get_icon() {
		return 'vt-icon';
    }

	public function get_categories() {
		return [ 'metize_header_elements' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'Banner_section',
			[
				'label' 	=> __( 'Banner', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout',
			[
				'label' 		=> __( 'Banner Style', 'metize' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'metize' ),
					'2' 		=> __( 'Style Two', 'metize' ),
					'3' 		=> __( 'Style Three', 'metize' ),
					'4' 		=> __( 'Style Four', 'metize' ),
				],
			]
		);
		$this->end_controls_section();

		$this->start_controls_section(
			'banner_styling',
			[
				'label' 	=> __( 'Demo Image', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );
        $this->start_controls_tabs(
			'style_tabs1'
		);
		
		$this->start_controls_tab(
			'style_data_1',
			[
				'label' => esc_html__( 'Shape', 'metize' ),
			]
		);

		$this->add_control(
			'shape_1',
			[
				'label' 		=> __( 'Shape 1', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'default' 		=> [
					'url' => Utils::get_placeholder_image_src(),
				],
			]
		);
		$this->add_control(
			'shape_2',
			[
				'label' 		=> __( 'Shape 2', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'default' 		=> [
					'url' => Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'layout' => ['2'] ],
			]
		);
        
		$this->end_controls_tab();

		//--------------------secound--------------------//

		$this->start_controls_tab(
			'style_data_2',
			[
				'label' => esc_html__( 'Thumb', 'metize' ),
			]
		);
		$this->add_control(
			'thumb_1',
			[
				'label' 		=> __( 'Thumb 1', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'default' 		=> [
					'url' => Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'layout' => ['1','2','3','4'] ],
			]
		);
		$this->add_control(
			'thumb_2',
			[
				'label' 		=> __( 'Thumb 2', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'default' 		=> [
					'url' => Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'layout' => ['1','3','4'] ],
			]
		);
		$this->add_control(
			'thumb_3',
			[
				'label' 		=> __( 'Thumb 3', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'default' 		=> [
					'url' => Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'layout' => ['1','4'] ],
			]
		);
		

		$this->end_controls_tab();


	
		$this->end_controls_tabs();
		$this->end_controls_section();




		$this->start_controls_section(
			'demo_content',
			[
				'label' 	=> __( 'Content Area', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
				
			]
		);
        $this->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'metize' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Award winning digital marketing agency ', 'metize' ),
                'condition'		=> [ 'layout' => ['1', '3', '2','4'] ],
			]
        );
        $this->add_control(
			'subtitle',
			[
				'label' 	=> __( 'Subtitle', 'metize' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Award winning digital marketing agency ', 'metize' ),
                'condition'		=> [ 'layout' => ['4'] ],
			]
        );
        $this->add_control(
			'desc',
			[
				'label' 	=> __( 'Description', 'metize' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Dissuade ecstatic and properly saw entirely sir why laughter endeavor. In on my jointure horrible margaret suitable he followed speedily. Indeed vanity excuse or mr lovers of on. By offer scale an stuff. Blush be sorry no sight sang lose.', 'metize' ),
                'condition'		=> [ 'layout' => ['1', '3', '2','4'] ],
			]
        );
        
        $this->add_control(
			'v_button_text',
			[
				'label' 	=> __( 'Button Text', 'metize' ),
                'type' 		=> Controls_Manager::TEXT,
                'default'  	=> __( 'Button Text', 'metize' ),
                'condition'		=> [ 'layout' => ['1'] ],
			]
        );
        $this->add_control(
			'v_button_url',
			[
				'label' 	=> __( 'Video Url', 'metize' ),
                'type' 		=> Controls_Manager::TEXT,
                'default'  	=> __( '#', 'metize' ),
                'condition'		=> [ 'layout' => ['1'] ],
			]
        );

        $this->add_control(
			'custom_html',
			[
				'label' 	=> __( 'Counterup', 'metize' ),
                'type' 		=> Controls_Manager::WYSIWYG,
                'condition'		=> [ 'layout' => ['4'] ],
			]
        );
        $this->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'metize' ),
                'type' 		=> Controls_Manager::TEXT,
                'default'  	=> __( 'Button Text', 'metize' ),
                'condition'		=> [ 'layout' => ['3','4'] ],
			]
        );

        $this->add_control(
			'button_link',
			[
				'label' 		=> __( 'Link', 'metize' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'metize' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
				'condition'		=> [ 'layout' => ['3','4'] ],
			]
		);


        $this->end_controls_section();

        

        //---------------------------------------Title Style---------------------------------------//

		$this->start_controls_section(
			'title_style',
			[
				'label' 	=> __( 'Title Style', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);
		$this->add_control(
			'title_color',
			[
				'label' 		=> __( 'Title Color', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} h2' => 'color: {{VALUE}}',
                ],
			]
        );
        $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'title_typography',
				'label' 	=> __( 'Title Typography', 'metize' ),
                'selector' 	=> '{{WRAPPER}} h2',
			]
        );
        $this->add_responsive_control(
			'title_margin',
			[
				'label' 		=> __( 'Title Margin', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h2' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
        );

        $this->add_responsive_control(
			'title_padding',
			[
				'label' 		=> __( 'Title Padding', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h2' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
		);
		$this->end_controls_section();


		//---------------------------------------Descriptions Style---------------------------------------//

		$this->start_controls_section(
			'desc_style',
			[
				'label' 	=> __( 'Descriptions Style', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);
		$this->add_control(
			'desc_color',
			[
				'label' 		=> __( 'Descriptions Color', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} p' => 'color: {{VALUE}}',
                ],
			]
        );
        $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'desc_typography',
				'label' 	=> __( 'Descriptions Typography', 'metize' ),
                'selector' 	=> '{{WRAPPER}} p',
			]
        );
        $this->add_responsive_control(
			'desc_margin',
			[
				'label' 		=> __( 'Descriptions Margin', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					'{{WRAPPER}} .banner_btn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
        );

        $this->add_responsive_control(
			'desc_padding',
			[
				'label' 		=> __( 'Descriptions Padding', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					'{{WRAPPER}} .banner_btn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
		);
		$this->end_controls_section();

    }

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout'] == '1' ){
			

			$shape_1 = $settings['shape_1']['url'] ? $settings['shape_1']['url'] : '#';

			echo '<div class="banner-software text-center text-light" style="background-image: url('.esc_url( $shape_1 ).');">';
		        echo '<div class="container">';
		            echo '<div class="content-box">';
		                echo '<div class="row align-center">';
		                    echo '<div class="col-lg-8 offset-lg-2 info">';
		                    	if(!empty($settings['title'])){
			                        echo '<h2 class="wow fadeInRight" data-wow-defaul="300ms">'.wp_kses_post($settings['title']).'</h2>';
			                    }
			                    if(!empty($settings['desc'])){
			                        echo '<p class="wow fadeInLeft" data-wow-delay="500ms">'.esc_html($settings['desc']).'</p>';
			                    }
			                    if(!empty($settings['v_button_text'])){
			                        echo '<div class="button wow fadeInDown" data-wow-delay="700ms">';
			                            echo '<a href="'.esc_url( $settings['v_button_url'] ).'" class="popup-youtube video-play-button with-text mt-20">';
			                                echo '<div class="effect"></div>';
			                                echo '<span><i class="fas fa-play"></i> '.esc_html($settings['v_button_text']).'</span>';
			                            echo '</a>';
			                        echo '</div>';
			                    }
		                    echo '</div>';
		                    echo '<div class="col-lg-10 offset-lg-1">';
		                        echo '<div class="thumb-inner">';
		                        	if( ! empty( $settings['thumb_1']['url'] ) ){
								        echo '<img class="animate" data-animate="fadeInRight" src="'.esc_url( $settings['thumb_1']['url'] ).'" alt="Thumb">';  
								    }
								    if( ! empty( $settings['thumb_2']['url'] ) ){
								        echo '<img class="animate" data-animate="fadeInLeft" data-delay="500ms" src="'.esc_url( $settings['thumb_2']['url'] ).'" alt="Thumb">';  
								    }
								    if( ! empty( $settings['thumb_3']['url'] ) ){
								        echo '<img class="animate" data-animate="fadeInLeft" data-delay="300ms" src="'.esc_url( $settings['thumb_3']['url'] ).'" alt="Thumb">';  
								    }
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		   echo ' </div>';
		}elseif( $settings['layout'] == '2' ){
			echo '<div class="banner-seo text-center">';
		        echo '<div class="container">';
		            echo '<div class="content-box">';
		                echo '<div class="row align-center">';
		                    echo '<div class="col-lg-8 offset-lg-2 info">';
		                    	if(!empty($settings['title'])){
			                        echo '<h2 class="animate" data-animate="fadeInUp">'.esc_html($settings['title']).'</h2>';
			                    }
			                    if(!empty($settings['desc'])){
			                        echo '<p class="animate" data-animate="fadeInUp" data-delay="600ms">'.esc_html($settings['desc']).'</p>';
			                    }
		                    echo '</div>';
		                    echo '<div class="col-lg-10 offset-lg-1">';
		                        echo '<div class="seo-thumb">';
		                            if( ! empty( $settings['thumb_1']['url'] ) ){
								        echo '<img class="animate" data-animate="fadeInDown" src="'.esc_url( $settings['thumb_1']['url'] ).'" alt="Thumb">';  
								    }

		                            if( ! empty( $settings['shape_1']['url'] ) ){
								        echo '<img class="animate" data-animate="fadeInLeft" data-delay="600ms" src="'.esc_url( $settings['shape_1']['url'] ).'" alt="Thumb">';  
								    }
								    if( ! empty( $settings['shape_2']['url'] ) ){
								        echo '<img class="animate" data-animate="fadeInUp" data-delay="600ms" src="'.esc_url( $settings['shape_2']['url'] ).'" alt="Thumb">';  
								    }
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}elseif( $settings['layout'] == '3' ){
			$shape_1 = $settings['shape_1']['url'] ? $settings['shape_1']['url'] : '#';
			echo '<div class="banner-digital-agency bg-cover overflow-hidden" style="background-image: url('.esc_url( $shape_1 ).');">';

		        echo '<div class="right-angle-thumb">';
		        	if( ! empty( $settings['thumb_1']['url'] ) ){
				        echo '<div class="item animate" data-animate="fadeInRight" style="background-image: url('.esc_url( $settings['thumb_1']['url'] ).');"></div>';  
				    }
				    if( ! empty( $settings['thumb_2']['url'] ) ){
				        echo '<div class="item animate" data-animate="fadeInRight" data-delay="300ms"  style="background-image: url('.esc_url( $settings['thumb_2']['url'] ).');"></div>';  
				    }
		        echo '</div>';

		        echo '<div class="container">';
		            echo '<div class="content">';
		                
		                echo '<div class="row align-center">';
		                    echo '<div class="col-lg-6">';
		                    	if(!empty($settings['title'])){
			                        echo '<h2 class="animate" data-animate="fadeInUp">'.wp_kses_post($settings['title']).'</h2>';
			                    }
			                    if(!empty($settings['desc'])){
			                        echo '<p class="animate" data-animate="fadeInUp" data-delay="300ms">'.esc_html($settings['desc']).'</p>';
			                    }

			                    if( ! empty( $settings['button_text'] ) ) {
			                    	if( ! empty( $settings['button_link']['url'] ) ) {
							            $this->add_render_attribute( 'button', 'href', esc_url( $settings['button_link']['url'] ) );
							        }
				            		if( ! empty( $settings['button_link']['nofollow'] ) ) {
							            $this->add_render_attribute( 'button', 'rel', 'nofollow' );
							        }
							        if( ! empty( $settings['button_link']['is_external'] ) ) {
							            $this->add_render_attribute( 'button', 'target', '_blank' );
							        }
							        $this->add_render_attribute( 'button', 'class', 'btn btn-md btn-gradient animation' );

                                    echo '<div class="button mt-20 animate" data-animate="fadeInUp" data-delay="600ms">';
			                            echo '<a '.$this->get_render_attribute_string('button').'>'.esc_html( $settings['button_text'] ).'</a>';
			                        echo '</div>';
                                }
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}
		else{
			if( ! empty( $settings['thumb_1']['url'] ) ){
				echo '<div class="business-banner overflow-hidden bg-cover" style="background-image: url('.esc_url( $settings['thumb_1']['url'] ).');">';
			}
		        echo '<div class="container">';
		            echo '<div class="double-items">';
		                echo '<div class="row align-center">';

		                    echo '<div class="col-lg-5 info">';
		                        if(!empty($settings['title'])){
			                        echo '<h4>'.wp_kses_post($settings['title']).'</h4>';
			                    }
			                    if(!empty($settings['subtitle'])){
			                        echo '<h2>'.wp_kses_post($settings['subtitle']).'</h2>';
			                    }
			                    if(!empty($settings['desc'])){
			                        echo '<p>'.wp_kses_post($settings['desc']).'</p>';
			                    }
			                    if( ! empty( $settings['button_text'] ) ) {
			                    	if( ! empty( $settings['button_link']['url'] ) ) {
							            $this->add_render_attribute( 'button', 'href', esc_url( $settings['button_link']['url'] ) );
							        }
				            		if( ! empty( $settings['button_link']['nofollow'] ) ) {
							            $this->add_render_attribute( 'button', 'rel', 'nofollow' );
							        }
							        if( ! empty( $settings['button_link']['is_external'] ) ) {
							            $this->add_render_attribute( 'button', 'target', '_blank' );
							        }
							        $this->add_render_attribute( 'button', 'class', 'btn-animation mt-15' );

			                        echo '<a '.$this->get_render_attribute_string('button').'><i class="fas fa-arrow-right"></i> <span>'.esc_html( $settings['button_text'] ).' </span></a>';
			                    }
		                    echo '</div>';

		                     echo '<div class="col-lg-6 offset-lg-1 business-banner-thumb">';
		                     	if( ! empty( $settings['thumb_2']['url'] ) ){
	                        		echo metize_img_tag( array(
										'url'	=> esc_url( $settings['thumb_2']['url'] ),
										'class' => 'animate',
										'data-animate' => 'fadeInUp',
									) );
	                        	}
	                        	if( ! empty( $settings['thumb_3']['url'] ) ){
	                        		echo metize_img_tag( array(
										'url'	=> esc_url( $settings['thumb_3']['url'] ),
										'data-animate' => 'fadeInRight',
										'data-delay' => '500ms'
									) );
	                        	}
		                        echo '<div class="revenew animate" data-animate="fadeInDown" data-delay="800ms">';
		                            
		                        	echo $settings['custom_html'];

		                        echo '</div>';
		                    echo '</div>';
		                    
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}
	}
}