<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * qualifications Widget .
 *
 */
class Metize_Qualifications extends Widget_Base {

	public function get_name() {
		return 'metizequalifications';
	}

	public function get_title() {
		return __( 'Metize Qualifications', 'metize' );
	}


	public function get_icon() {
		return 'vt-icon';
    }


	public function get_categories() {
		return [ 'metize' ];
	}


	protected function register_controls() {

		$this->start_controls_section(
			'feature_list_section',
			[
				'label' 	=> __( 'Qualifications List', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'qualifications',
			[
				'label'     => __( 'Qualifications', 'metize' ),
                'type'      => Controls_Manager::WYSIWYG,
                'default' 		=> __( 'Database Integration' , 'metize' ),
			]
        );

 

        $this->end_controls_section();

        //-----------------------progressbar-----------------------//

        $this->start_controls_section(
			'p_list_section',
			[
				'label' 	=> __( 'Progressbar', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );
        $this->add_control(
			'q_title', [
				'label' 		=> __( 'Title', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );

        $repeater2 = new Repeater();

		$repeater2->add_control(
			'pb_title',
			[
				'label'     => __( 'Progressbar Title', 'metize' ),
                'type'      => Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default' 		=> __( 'Project Planning' , 'metize' ),
			]
        );
        $repeater2->add_control(
			'pb_number',
			[
				'label'     => __( 'Progressbar Number', 'metize' ),
                'type'      => Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default' 		=> __( '87' , 'metize' ),
			]
        );
        
        $this->add_control(
			'progressbars',
			[
				'label' 		=> __( 'Progressbar', 'metize' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater2->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'title', 'metize' ),
					],
				],
				'title_field' 	=> '{{{ pb_title }}}',
			]
		);

        $this->end_controls_section();

        //---------------------------------------Title Style---------------------------------------//

		$this->start_controls_section(
			'title_style',
			[
				'label' 	=> __( 'Title Style', 'appku' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);
		$this->add_control(
			'title_color',
			[
				'label' 		=> __( 'Title Color', 'appku' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} h4' => 'color: {{VALUE}}',
                ],
			]
        );
        $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'title_typography',
				'label' 	=> __( 'Title Typography', 'appku' ),
                'selector' 	=> '{{WRAPPER}} h4',
			]
        );
        $this->add_responsive_control(
			'title_margin',
			[
				'label' 		=> __( 'Title Margin', 'appku' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h4' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
        );

        $this->add_responsive_control(
			'title_padding',
			[
				'label' 		=> __( 'Title Padding', 'appku' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h4' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
		);
		$this->end_controls_section();
	}

	protected function render() {

        $settings = $this->get_settings_for_display();


        echo '<div class="team-single-area">';
	        echo '<div class="bottom-info bg-gray default-padding">';

	            echo '<div class="container">';
	                echo '<div class="row">';
	                    echo '<div class="col-xl-6">';
	                    	if( !empty( $settings['qualifications'] ) ){
		                    	echo wp_kses_post( $settings['qualifications'] );
		                    }
	                    echo '</div>';
	                    echo '<div class="col-xl-6">';
	                        echo '<div class="skill-items">';
	                            if(!empty($settings['q_title'])){
			                        echo '<h2>'.esc_html($settings['q_title']).'</h2>';
			                    }

	                            foreach( $settings['progressbars'] as $single_data ) {
		                            echo '<div class="progress-box">';
		                                if(!empty( $single_data['pb_title'] )){
			                                echo '<h5>'.esc_html($single_data['pb_title']).'</h5>';
			                            }
			                            if(!empty( $single_data['pb_number'] )){
			                                echo '<div class="progress">';
			                                    echo '<div class="progress-bar" role="progressbar" data-width="'.esc_attr($single_data['pb_number']).'">';
			                                         echo '<span>'.esc_html($single_data['pb_number']).'%</span>';
			                                    echo '</div>';
			                                echo '</div>';
			                            }
		                            echo '</div>';

		                            // <div class="progress-box">
		                            //     <h5>Programming Language</h5>
		                            //     <div class="progress">
		                            //         <div class="progress-bar" role="progressbar" data-width="88">
		                            //              <span>88%</span>
		                            //         </div>
		                            //     </div>
		                            // </div>
		                        }
	                            echo '<!-- End Progressbar -->';
	                        echo '</div>';
	                    echo '</div>';
	                echo '</div>';
	            echo '</div>';

	        echo '</div>';
        echo '</div>';
	}
}