<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
/**
 *
 * Testimonials Widget .
 *
 */
class Metize_Testimonials extends Widget_Base {

	public function get_name() {
		return 'metizetestimonials';
	}

	public function get_title() {
		return __( 'Metize Testimonials', 'metize' );
	}

	public function get_icon() {
		return 'vt-icon';
    }

	public function get_categories() {
		return [ 'metize' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'features_section',
			[
				'label'     => __( 'Testimonials', 'metize' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );
        $this->add_control(
			'layout',
			[
				'label' 		=> __( 'Testimonial Style', 'metize' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'metize' ),
					'2' 		=> __( 'Style Two', 'metize' ),
					'3' 		=> __( 'Style Three', 'metize' ),
				],
			]
		);
		$this->add_control(
			'layout_version',
			[
				'label' 		=> __( 'Dark or Light ?', 'metize' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Light', 'metize' ),
					'2' 		=> __( 'Dark', 'metize' ),

				],
				'condition'		=> [ 'layout' => ['2'] ],
			]
		);
		$this->add_control(
			'title',
			[
				'label'     	=> __( 'Title', 'metize' ),
                'type'      	=> Controls_Manager::TEXTAREA,
                'rows' 			=> 2,
                'default' 		=>  __( 'This is title area', 'metize'),
			]
        );
        $this->add_control(
			'subtitle',
			[
				'label'     	=> __( 'Subtitle', 'metize' ),
                'type'      	=> Controls_Manager::TEXTAREA,
                'rows' 			=> 2,
                'default' 		=>  __( 'This is title area', 'metize'),
			]
        );
        //----------------------------feddback repeter start--------------------------------//


		$repeater2 = new Repeater();

		$repeater2->add_control(
			'name', [
				'label' 		=> __( 'Name', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater2->add_control(
			'heading', [
				'label' 		=> __( 'Heading', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Business Growth' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater2->add_control(
			'designation', [
				'label' 		=> __( 'Designation', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );

        $repeater2->add_control(
			'client_rating', [
				'label' 		=> __( 'client rating', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater2->add_control(
			'feedback', [
				'label' 		=> __( 'Feedback', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater2->add_control(
			'img',
			[
				'label' 		=> __( 'Image', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
		$this->add_control(
			'slides2',
			[
				'label' 		=> __( 'Slides', 'metize' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater2->get_controls(),
				'default' 		=> [
					[
						'name' 		=> __( 'Rubaida Kanom', 'metize' ),
					],
				],
				'title_field' 	=> '{{{ name }}}',
				'condition'		=> [ 'layout' => ['1'] ],
				
			]
		);


		 //----------------------------feddback repeter start--------------------------------//


		$repeater3 = new Repeater();

		$repeater3->add_control(
			'name', [
				'label' 		=> __( 'Name', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater3->add_control(
			'heading', [
				'label' 		=> __( 'Heading', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Business Growth' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater3->add_control(
			'designation', [
				'label' 		=> __( 'Designation', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater3->add_control(
			'client_rating',
			[
				'label' 	=> __( 'Client Rating', 'metize' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '5',
				'options' 	=> [
					'one'  		=> __( 'One Star', 'metize' ),
					'two' 		=> __( 'Two Star', 'metize' ),
					// 'three' 	=> __( 'Three Star', 'metize' ),
					// 'four' 		=> __( 'Four Star', 'metize' ),
					// 'five' 	 	=> __( 'Five Star', 'metize' ),
				],
			]
		);
        $repeater3->add_control(
			'feedback', [
				'label' 		=> __( 'Feedback', 'metize' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'Rubaida Kanom' , 'metize' ),
				'label_block' 	=> true,
			]
        );
        $repeater3->add_control(
			'img',
			[
				'label' 		=> __( 'Image', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
		$this->add_control(
			'slides3',
			[
				'label' 		=> __( 'Slides', 'metize' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater3->get_controls(),
				'default' 		=> [
					[
						'name' 		=> __( 'Rubaida Kanom', 'metize' ),
					],
				],
				'title_field' 	=> '{{{ name }}}',
				'condition'		=> [ 'layout' => ['2'] ],
				
			]
		);
		$this->add_control(
			'shape',
			[
				'label' 		=> __( 'Shape Image', 'metize' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'layout' => ['2'] ],
			]
		);
		
		$this->end_controls_section();

		/*-------------------------------------------------------------Feedback styling--------------------------------------------------------*/

		$this->start_controls_section(
			'Section_header_styling',
			[
				'label' 	=> __( 'Header Style', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
        );
        $this->start_controls_tabs(
			'header_tabs1'
		);

		//--------------------first tab start--------------------//

		$this->start_controls_tab(
			'header_title',
			[
				'label' => esc_html__( 'Title', 'metize' ),
			]
		);
        $this->add_control(
			'header_from_color',
			[
				'label' 		=> __( 'Gradient Color From', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .sub-title' => '--color-primary: {{VALUE}}!important;',
                ],
			]
        );
        $this->add_control(
			'header_to_color',
			[
				'label' 		=> __( 'Gradient Color To', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .sub-title' => '--color-secondary: {{VALUE}}!important;',
                ],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'header_title_typography',
		 		'label' 		=> __( 'Typography', 'metize' ),
		 		'selector' 	=> '{{WRAPPER}} .sub-title',
			]
		);

        $this->add_responsive_control(
			'header_title_margin',
			[
				'label' 		=> __( 'Margin', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .sub-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'header_title_padding',
			[
				'label' 		=> __( 'Padding', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .sub-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

		$this->end_controls_tab();

		//--------------------first tab end--------------------//


		//--------------------2nd tab start--------------------//

		$this->start_controls_tab(
			'header_tabs2',
			[
				'label' => esc_html__( 'subtitle', 'metize' ),
			]
		);
		$this->add_control(
			'header_subtitle_color',
			[
				'label' 		=> __( 'Color', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} h2'	=> '--color-heading: {{VALUE}}!important;',
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'header_subtitle_typography',
		 		'label' 		=> __( 'Typography', 'metize' ),
		 		'selector' 	=> '{{WRAPPER}} h2',
			]
		);

        $this->add_responsive_control(
			'header_subtitle_margin',
			[
				'label' 		=> __( 'Margin', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h2' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'header_subtitle_padding',
			[
				'label' 		=> __( 'Padding', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h2' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );



		$this->end_controls_tab();

		$this->end_controls_tabs();
		$this->end_controls_section();


		
        /*-----------------------------------------Feedback styling------------------------------------*/

		$this->start_controls_section(
			'overview_con_styling',
			[
				'label' 	=> __( 'Testimonials Styling', 'metize' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
        );
        $this->start_controls_tabs(
			'style_tabs2'
		);


		$this->start_controls_tab(
			'style_normal_tab2',
			[
				'label' => esc_html__( 'Name', 'metize' ),
			]
		);
        $this->add_control(
			'overview_title_color',
			[
				'label' 		=> __( 'Color', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} h4'	=> 'color: {{VALUE}}!important;',
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'overview_title_typography',
		 		'label' 		=> __( 'Typography', 'metize' ),
		 		'selector' 	=> '{{WRAPPER}} h4',
			]
		);

        $this->add_responsive_control(
			'overview_title_margin',
			[
				'label' 		=> __( 'Margin', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h4' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'overview_title_padding',
			[
				'label' 		=> __( 'Padding', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h4' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );
		$this->end_controls_tab();

		//--------------------secound--------------------//

		$this->start_controls_tab(
			'style_hover_tab2',
			[
				'label' => esc_html__( 'Designation', 'metize' ),
			]
		);
		$this->add_control(
			'overview_content_color',
			[
				'label' 		=> __( 'Color', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} span'	=> 'color: {{VALUE}}!important;',
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'overview_content_typography',
		 		'label' 		=> __( 'Typography', 'metize' ),
		 		'selector' 	=> '{{WRAPPER}} span',
			]
		);

        $this->add_responsive_control(
			'overview_content_margin',
			[
				'label' 		=> __( 'Margin', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} span' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'overview_content_padding',
			[
				'label' 		=> __( 'Padding', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} span' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

		$this->end_controls_tab();


		//--------------------three--------------------//

		$this->start_controls_tab(
			'style_hover_tab3',
			[
				'label' => esc_html__( 'Feedback', 'metize' ),
			]
		);
		$this->add_control(
			'counter_color',
			[
				'label' 		=> __( 'Color', 'metize' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} p'	=> 'color: {{VALUE}}!important;',
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'counter_typography',
		 		'label' 		=> __( 'Typography', 'metize' ),
		 		'selector' 	=> '{{WRAPPER}} p',
			]
		);

        $this->add_responsive_control(
			'counter_margin',
			[
				'label' 		=> __( 'Margin', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'counter_padding',
			[
				'label' 		=> __( 'Padding', 'metize' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );



		$this->end_controls_tab();

		$this->end_controls_tabs();
		$this->end_controls_section();
    }

	protected function render() {

        $settings = $this->get_settings_for_display();

        echo '<!------------------------------- Testimonials Area start ------------------------------->';

        if( $settings['layout'] == '1' ){
    		echo '<div class="testimonial-style-one-area default-padding">';
			        echo '<div class="container">';
			            echo '<div class="row">';
			                echo '<div class="col-lg-8 offset-lg-2">';
			                    echo '<div class="site-heading text-center">';
			                    	if(!empty($settings['title'])){
				                        echo '<h4 class="sub-title">'.esc_html($settings['title']).'</h4>';
				                    }
				                    if(!empty($settings['subtitle'])){
				                        echo '<h2 class="title">'.esc_html($settings['subtitle']).'</h2>';
				                    }
				                    echo '<div class="devider"></div>';
			                    echo '</div>';
			                echo '</div>';
			            echo '</div>';
			        echo '</div>';
			        echo '<div class="container-fill">';
			            echo '<div class="row">';
			                echo '<div class="col-lg-12">';
			                   echo ' <div class="testimonial-stage-carousel swiper">';
			                        echo '<!-- Additional required wrapper -->';
			                        echo '<div class="swiper-wrapper">';

			                            foreach( $settings['slides2'] as $single_data ){
			                            echo '<!-- Single item -->';
			                            echo '<div class="swiper-slide">';
			                                echo '<div class="testimonial-style-one-item">';
			                                    echo '<div class="item">';
			                                        echo '<div class="provider">';
			                                            echo '<div class="thumb">';
			                                                if( ! empty( $single_data['img']['url'] ) ){
				                                            	echo metize_img_tag( array(
																	'url'	=> esc_url( $single_data['img']['url'] ),
																) );
					                                        }
			                                            echo '</div>';
			                                            echo '<div class="info">';
			                                            	if(!empty($single_data['name'])){
				                                                echo '<h4>'.esc_html($single_data['name']).'</h4>';
				                                            }

			                                                if(!empty($single_data['designation'])){
				                                                echo '<span>'.esc_html($single_data['designation']).'</span>';
				                                            }
				                                            
			                                            echo '</div>';
			                                        echo '</div>';
			                                        echo '<div class="review">';
			                                            
			                                        	if(!empty($single_data['client_rating'])){
			                                                echo wp_kses_post($single_data['client_rating']);
			                                            }

			                                        echo '</div>';
			                                        echo '<div class="content">';
			                                        if(!empty($single_data['feedback'])){
						                                echo '<p>'.esc_html( $single_data['feedback'] ).'</p>';
						                            }
	                                        	echo '</div>';
	                                    	echo '</div>';
	                                	echo '</div>';
	                            	echo '</div>';
	                            	echo '<!-- End Single item -->';
	                            }
	                        echo '</div>';
	        
	                    echo '</div>';
	                echo '</div>';
	            echo '</div>';
	        echo '</div>';
	    echo '</div>';

	    }else{
	    	$dark_light = $settings['layout_version'] == '1' ? '' : 'bg-dark text-light';

	    	echo '<div class="testimonial-style-two-area default-padding '.esc_attr( $dark_light ).'">';

		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-8 offset-lg-2">';
		                    echo '<div class="site-heading text-center">';
		                        if(!empty($settings['title'])){
			                        echo '<h4 class="sub-title">'.esc_html($settings['title']).'</h4>';
			                    }
			                    if(!empty($settings['subtitle'])){
			                        echo '<h2 class="title">'.wp_kses_post($settings['subtitle']).'</h2>';
			                    }
		                        echo '<div class="devider"></div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';

		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-10 offset-lg-1">';
		                    echo '<div class="testimonial-style-two-carousel swiper">';
		                        echo '<!-- Additional required wrapper -->';
		                        echo '<div class="swiper-wrapper">';
		                        	foreach( $settings['slides3'] as $single_data ){
			                            echo '<!-- Single item -->';
			                            echo '<div class="swiper-slide">';
			                                echo '<div class="item">';
			                                    echo '<div class="provider">';
			                                        if( ! empty( $single_data['img']['url'] ) ){
		                                            	echo metize_img_tag( array(
															'url'	=> esc_url( $single_data['img']['url'] ),
														) );
			                                        }
			                                    echo '</div>';
			                                    echo '<div class="info">';
			                                        echo '<svg xmlns="http://www.w3.org/2000/svg"><path class="cls-1" d="M761,4387h1v76.34l-20,24.11,20,26.24V4677h-1V4513.68l-20-26.16,20-24.1V4387Z" transform="translate(-741 -4387)"></path></svg>';
			                                        echo '<div class="reason">';
			                                            if(!empty($single_data['heading'])){
			                                                echo '<h5>'.esc_html($single_data['heading']).'</h5>';
			                                            }
			                                            echo '<div class="rating">';
			                                                if( $single_data['client_rating'] == 'one' ){
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                        }elseif( $single_data['client_rating'] == 'two' ){
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                        }elseif( $single_data['client_rating'] == 'three' ){
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                        }elseif( $single_data['client_rating'] == 'four' ){
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="far fa-star"></i>';
					                                        }else{
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                            echo '<i class="fas fa-star"></i>';
					                                        }
			                                            echo '</div>';
			                                        echo '</div>';
			                                        if(!empty($single_data['feedback'])){
						                                echo '<p>'.esc_html( $single_data['feedback'] ).'</p>';
						                            }
			                                        echo '<div class="content">';
			                                        	if( ! empty( $settings['shape']['url'] ) ){
				                                            echo metize_img_tag( array(
																'url'	=> esc_url( $settings['shape']['url'] ),
															) );
				                                        }
			                                            echo '<div class="right">';
			                                                if(!empty($single_data['name'])){
				                                                echo '<h4>'.esc_html($single_data['name']).'</h4>';
				                                            }
			                                                if(!empty($single_data['designation'])){
				                                                echo '<span>'.esc_html($single_data['designation']).'</span>';
				                                            }
			                                            echo '</div>';
			                                        echo '</div>';
			                                    echo '</div>';
			                                echo '</div>';
			                            echo '</div>';
			                            echo '<!-- End Single Item -->';
			                        }
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
	    }
		echo '<!--------------------------------- Testimonials Area end --------------------------------->';
	}
}