<?php
    /**
     * Class For Builder
     */
    class MetizeBuilder{

        function __construct(){
            // register admin menus
        	add_action( 'admin_menu', [$this, 'register_settings_menus'] );

            // Custom Footer Builder With Post Type
			add_action( 'init',[ $this,'post_type' ],0 );

 		    add_action( 'elementor/frontend/after_enqueue_scripts', [ $this,'widget_scripts'] );

			add_filter( 'single_template', [ $this, 'load_canvas_template' ] );

            add_action( 'elementor/element/wp-page/document_settings/after_section_end', [ $this,'metize_add_elementor_page_settings_controls' ],10,2 );

		}

		public function widget_scripts( ) {
			wp_enqueue_script( 'metize-core',METIZE_PLUGDIRURI.'assets/js/metize-core.js',array( 'jquery' ),'1.0',true );
		}


        public function metize_add_elementor_page_settings_controls( \Elementor\Core\DocumentTypes\Page $page ){

			$page->start_controls_section(
                'metize_header_option',
                [
                    'label'     => __( 'Header Option', 'metize' ),
                    'tab'       => \Elementor\Controls_Manager::TAB_SETTINGS,
                ]
            );


            $page->add_control(
                'metize_header_style',
                [
                    'label'     => __( 'Header Option', 'metize' ),
                    'type'      => \Elementor\Controls_Manager::SELECT,
                    'options'   => [
    					'prebuilt'             => __( 'Pre Built', 'metize' ),
    					'header_builder'       => __( 'Header Builder', 'metize' ),
    				],
                    'default'   => 'prebuilt',
                ]
			);

            $page->add_control(
                'metize_header_builder_option',
                [
                    'label'     => __( 'Header Name', 'metize' ),
                    'type'      => \Elementor\Controls_Manager::SELECT,
                    'options'   => $this->metize_header_choose_option(),
                    'condition' => [ 'metize_header_style' => 'header_builder'],
                    'default'	=> ''
                ]
            );

            $page->end_controls_section();

            $page->start_controls_section(
                'metize_footer_option',
                [
                    'label'     => __( 'Footer Option', 'metize' ),
                    'tab'       => \Elementor\Controls_Manager::TAB_SETTINGS,
                ]
            );
            $page->add_control(
    			'metize_footer_choice',
    			[
    				'label'         => __( 'Enable Footer?', 'metize' ),
    				'type'          => \Elementor\Controls_Manager::SWITCHER,
    				'label_on'      => __( 'Yes', 'metize' ),
    				'label_off'     => __( 'No', 'metize' ),
    				'return_value'  => 'yes',
    				'default'       => 'yes',
    			]
    		);
            $page->add_control(
                'metize_footer_style',
                [
                    'label'     => __( 'Footer Style', 'metize' ),
                    'type'      => \Elementor\Controls_Manager::SELECT,
                    'options'   => [
    					'prebuilt'             => __( 'Pre Built', 'metize' ),
    					'footer_builder'       => __( 'Footer Builder', 'metize' ),
    				],
                    'default'   => 'prebuilt',
                    'condition' => [ 'metize_footer_choice' => 'yes' ],
                ]
            );
            $page->add_control(
                'metize_footer_builder_option',
                [
                    'label'     => __( 'Footer Name', 'metize' ),
                    'type'      => \Elementor\Controls_Manager::SELECT,
                    'options'   => $this->metize_footer_choose_option(),
                    'condition' => [ 'metize_footer_style' => 'footer_builder','metize_footer_choice' => 'yes' ],
                    'default'	=> ''
                ]
            );

			$page->end_controls_section();

        }

		public function register_settings_menus(){
			add_menu_page(
				esc_html__( 'Metize Builder', 'metize' ),
            	esc_html__( 'Metize Builder', 'metize' ),
				'manage_options',
				'metize',
				[$this,'register_settings_contents__settings'],
				'dashicons-admin-site',
				2
			);

			add_submenu_page('metize', esc_html__('Footer Builder', 'metize'), esc_html__('Footer Builder', 'metize'), 'manage_options', 'edit.php?post_type=metize_footer');
			add_submenu_page('metize', esc_html__('Header Builder', 'metize'), esc_html__('Header Builder', 'metize'), 'manage_options', 'edit.php?post_type=metize_header');
            add_submenu_page('metize', esc_html__('Tab Builder', 'metize'), esc_html__('Tab Builder', 'metize'), 'manage_options', 'edit.php?post_type=metize_tab_builder');
		}

		// Callback Function
		public function register_settings_contents__settings(){
            echo '<h2>';
			    echo esc_html__( 'Welcome To Header And Footer Builder Of This Theme','metize' );
            echo '</h2>';
		}

		public function post_type() {

			$labels = array(
				'name'               => __( 'Footer', 'metize' ),
				'singular_name'      => __( 'Footer', 'metize' ),
				'menu_name'          => __( 'Metize Footer Builder', 'metize' ),
				'name_admin_bar'     => __( 'Footer', 'metize' ),
				'add_new'            => __( 'Add New', 'metize' ),
				'add_new_item'       => __( 'Add New Footer', 'metize' ),
				'new_item'           => __( 'New Footer', 'metize' ),
				'edit_item'          => __( 'Edit Footer', 'metize' ),
				'view_item'          => __( 'View Footer', 'metize' ),
				'all_items'          => __( 'All Footer', 'metize' ),
				'search_items'       => __( 'Search Footer', 'metize' ),
				'parent_item_colon'  => __( 'Parent Footer:', 'metize' ),
				'not_found'          => __( 'No Footer found.', 'metize' ),
				'not_found_in_trash' => __( 'No Footer found in Trash.', 'metize' ),
			);

			$args = array(
				'labels'              => $labels,
				'public'              => true,
				'rewrite'             => false,
				'show_ui'             => true,
				'show_in_menu'        => false,
				'show_in_nav_menus'   => false,
				'exclude_from_search' => true,
				'capability_type'     => 'post',
				'hierarchical'        => false,
				'supports'            => array( 'title', 'elementor' ),
			);

			register_post_type( 'metize_footer', $args );

			$labels = array(
				'name'               => __( 'Header', 'metize' ),
				'singular_name'      => __( 'Header', 'metize' ),
				'menu_name'          => __( 'Metize Header Builder', 'metize' ),
				'name_admin_bar'     => __( 'Header', 'metize' ),
				'add_new'            => __( 'Add New', 'metize' ),
				'add_new_item'       => __( 'Add New Header', 'metize' ),
				'new_item'           => __( 'New Header', 'metize' ),
				'edit_item'          => __( 'Edit Header', 'metize' ),
				'view_item'          => __( 'View Header', 'metize' ),
				'all_items'          => __( 'All Header', 'metize' ),
				'search_items'       => __( 'Search Header', 'metize' ),
				'parent_item_colon'  => __( 'Parent Header:', 'metize' ),
				'not_found'          => __( 'No Header found.', 'metize' ),
				'not_found_in_trash' => __( 'No Header found in Trash.', 'metize' ),
			);

			$args = array(
				'labels'              => $labels,
				'public'              => true,
				'rewrite'             => false,
				'show_ui'             => true,
				'show_in_menu'        => false,
				'show_in_nav_menus'   => false,
				'exclude_from_search' => true,
				'capability_type'     => 'post',
				'hierarchical'        => false,
				'supports'            => array( 'title', 'elementor' ),
			);

			register_post_type( 'metize_header', $args );

            $labels = array(
				'name'               => __( 'Tab Builder', 'metize' ),
				'singular_name'      => __( 'Tab Builder', 'metize' ),
				'menu_name'          => __( 'Metize Tab Builder', 'metize' ),
				'name_admin_bar'     => __( 'Tab Builder', 'metize' ),
				'add_new'            => __( 'Add New', 'metize' ),
				'add_new_item'       => __( 'Add New Tab Builder', 'metize' ),
				'new_item'           => __( 'New Tab Builder', 'metize' ),
				'edit_item'          => __( 'Edit Tab Builder', 'metize' ),
				'view_item'          => __( 'View Tab Builder', 'metize' ),
				'all_items'          => __( 'All Tab Builder', 'metize' ),
				'search_items'       => __( 'Search Tab Builder', 'metize' ),
				'parent_item_colon'  => __( 'Parent Tab Builder:', 'metize' ),
				'not_found'          => __( 'No Tab Builder found.', 'metize' ),
				'not_found_in_trash' => __( 'No Tab Builder found in Trash.', 'metize' ),
			);

			$args = array(
				'labels'              => $labels,
				'public'              => true,
				'rewrite'             => false,
				'show_ui'             => true,
				'show_in_menu'        => false,
				'show_in_nav_menus'   => false,
				'exclude_from_search' => true,
				'capability_type'     => 'post',
				'hierarchical'        => false,
				'supports'            => array( 'title', 'elementor' ),
			);

			register_post_type( 'metize_tab_builder', $args );

		}

		function load_canvas_template( $single_template ) {

			global $post;

			if ( 'metize_footer' == $post->post_type || 'metize_header' == $post->post_type || 'metize_tab_builder' == $post->post_type ) {

				$elementor_2_0_canvas = ELEMENTOR_PATH . '/modules/page-templates/templates/canvas.php';

				if ( file_exists( $elementor_2_0_canvas ) ) {
					return $elementor_2_0_canvas;
				} else {
					return ELEMENTOR_PATH . '/includes/page-templates/canvas.php';
				}
			}

			return $single_template;
		}

        public function metize_footer_choose_option(){

			$metize_post_query = new WP_Query( array(
				'post_type'			=> 'metize_footer',
				'posts_per_page'	    => -1,
			) );

			$metize_builder_post_title = array();
			$metize_builder_post_title[''] = __('Select a Footer','Metize');

			while( $metize_post_query->have_posts() ) {
				$metize_post_query->the_post();
				$metize_builder_post_title[ get_the_ID() ] =  get_the_title();
			}
			wp_reset_postdata();

			return $metize_builder_post_title;

		}

		public function metize_header_choose_option(){

			$metize_post_query = new WP_Query( array(
				'post_type'			=> 'metize_header',
				'posts_per_page'	    => -1,
			) );

			$metize_builder_post_title = array();
			$metize_builder_post_title[''] = __('Select a Header','Metize');

			while( $metize_post_query->have_posts() ) {
				$metize_post_query->the_post();
				$metize_builder_post_title[ get_the_ID() ] =  get_the_title();
			}
			wp_reset_postdata();

			return $metize_builder_post_title;

        }

    }

    $builder_execute = new MetizeBuilder();