<?php

// Blocking direct access
if( ! defined( 'ABSPATH' ) ) {
   exit();
}

/**
 * Plugin Name: Metize Core
 * Description: This is a helper plugin of metize theme
 * Version:     1.0
 * Author:      Validthemes
 * Author URI:  https://themeforest.net/user/validthemes/portfolio
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Domain Path: /languages
 * Text Domain: metize
 */

// Define Constant
define( 'METIZE_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'METIZE_PLUGIN_INC_PATH', plugin_dir_path( __FILE__ ) . 'inc/' );
define( 'METIZE_PLUGIN_CMB2EXT_PATH', plugin_dir_path( __FILE__ ) . 'cmb2-ext/' );
define( 'METIZE_PLUGIN_WIDGET_PATH', plugin_dir_path( __FILE__ ) . 'inc/widgets/' );
define( 'METIZE_PLUGDIRURI', plugin_dir_url( __FILE__ ) );
define( 'METIZE_ADDONS', plugin_dir_path( __FILE__ ) .'addons/' );
define( 'METIZE_CORE_PLUGIN_TEMP', plugin_dir_path( __FILE__ ) .'metize-template/' );

// load textdomain
load_plugin_textdomain( 'metize', false, basename( dirname( __FILE__ ) ) . '/languages' );

//include file.
require_once METIZE_PLUGIN_INC_PATH .'metizecore-functions.php';
require_once METIZE_PLUGIN_INC_PATH . 'MCAPI.class.php';
require_once METIZE_PLUGIN_INC_PATH .'metizeajax.php';
require_once METIZE_PLUGIN_INC_PATH .'builder/builder.php';

require_once METIZE_PLUGIN_CMB2EXT_PATH . 'cmb2ext-init.php';

//Widget
require_once METIZE_PLUGIN_WIDGET_PATH . 'recent-post-widget.php';
// require_once METIZE_PLUGIN_WIDGET_PATH . 'gallery-widget.php';
require_once METIZE_PLUGIN_WIDGET_PATH . 'metize-about-widget.php';
require_once METIZE_PLUGIN_WIDGET_PATH . 'metize-contact-widget.php';
require_once METIZE_PLUGIN_WIDGET_PATH . 'metize-contact-info.php';
require_once METIZE_PLUGIN_WIDGET_PATH . 'metize-download-button-widget.php';
require_once METIZE_PLUGIN_WIDGET_PATH . 'metize-cta-widget.php';
require_once METIZE_PLUGIN_WIDGET_PATH . 'metize-service-cta.php';

//addons
require_once METIZE_ADDONS . 'addons.php';

// Register widget styles
add_action( 'elementor/editor/before_enqueue_styles', 'widget_styles' );


function widget_styles() {

    wp_register_style( 'editor-style-1', plugins_url( 'assets/css/editor.css', __FILE__ ) );
    wp_enqueue_style( 'editor-style-1' );

}